/*
 * @(#)RTFView.java  1.0  1999-10-19
 *
 * Copyright (c) 1999 Werner Randelshofer, Immensee, Switzerland.
 * All rights reserved.
 *
 * You may not use, copy or modify this file, except in compliance with the
 * license agreement you entered into with Werner Randelshofer.
 * For details see accompanying license terms.
 */
package ch.randelshofer.view;

import javax.swing.text.EditorKit;
import javax.swing.text.rtf.RTFEditorKit;

/**
View for RTF documents.

@author  Werner Randelshofer, Hausmatt 10, CH-6405 Immensee, Switzerland
@version  1.0  1999-10-19
*/
public class RTFView extends HTMLView {
  protected EditorKit getEditorKit() {
    return new RTFEditorKit();
  }

    protected void updateViewProperties() {
        getViewProperties().put("title", " as RTF");
    }

    public String toString() {
    return "Rich Text (RTF) View";
  }
}
